From c18539d49a5f863e30a1379a5cc6a6b03504f5cf Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E4=B8=80=E6=8C=83?= <yizhi.fzh@alibaba-inc.com>
Date: Wed, 26 May 2021 01:47:29 +0800
Subject: [PATCH v1] Use planner_rt_fetch instead of rt_fetch when
 root->simple_rte_array

is there.
---
 src/backend/optimizer/util/appendinfo.c | 4 ++--
 src/backend/optimizer/util/plancat.c    | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/optimizer/util/appendinfo.c b/src/backend/optimizer/util/appendinfo.c
index af46f581ac..552a516e87 100644
--- a/src/backend/optimizer/util/appendinfo.c
+++ b/src/backend/optimizer/util/appendinfo.c
@@ -298,8 +298,8 @@ adjust_appendrel_attrs_mutator(Node *node,
 					List	   *fields;
 					RangeTblEntry *rte;
 
-					rte = rt_fetch(appinfo->parent_relid,
-								   context->root->parse->rtable);
+					rte = planner_rt_fetch(appinfo->parent_relid,
+										   context->root);
 					fields = copyObject(appinfo->translated_vars);
 					rowexpr = makeNode(RowExpr);
 					rowexpr->args = fields;
diff --git a/src/backend/optimizer/util/plancat.c b/src/backend/optimizer/util/plancat.c
index c5194fdbbf..efae0fb82d 100644
--- a/src/backend/optimizer/util/plancat.c
+++ b/src/backend/optimizer/util/plancat.c
@@ -641,7 +641,7 @@ infer_arbiter_indexes(PlannerInfo *root)
 	 * the rewriter or when expand_inherited_rtentry() added it to the query's
 	 * rangetable.
 	 */
-	rte = rt_fetch(root->parse->resultRelation, root->parse->rtable);
+	rte = planner_rt_fetch(root->parse->resultRelation, root);
 
 	relation = table_open(rte->relid, NoLock);
 
-- 
2.21.0

